Bug 1991662 - OLM Catalog Templating
Summary: OLM Catalog Templating
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Kevin Rizza
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-09 16:09 UTC by Kevin Rizza
Modified: 2021-10-18 17:45 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift operator-framework-olm pull 144 0 None None None 2021-08-10 20:32:10 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:41 UTC

Description Kevin Rizza 2021-08-09 16:09:44 UTC
This BZ is intended to track getting the catalog templating controller implemented upstream to make it into the OCP 4.9.0 release

Downstream epic - https://issues.redhat.com/browse/OLM-2011
Upstream pr - https://github.com/operator-framework/operator-lifecycle-manager/pull/2281

Comment 2 Jian Zhang 2021-08-17 08:56:59 UTC
Test env:
[cloud-user@preserve-olm-env jian]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-0.nightly-2021-08-16-154237   True        False         26m     Cluster version is 4.9.0-0.nightly-2021-08-16-154237

The test steps in https://polarion.engineering.redhat.com/polarion/#/project/OSE/workitem?id=OCP-43487, no issue found, verify it.

Comment 5 errata-xmlrpc 2021-10-18 17:45:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.